# Extra Block Types (EBT): Slideshow

#### Overview
Extra Block Types: Slideshow module provides ability to add a block with Slideshow.

EBT modules provide ability to add different blocks in Layout Builder in few clicks. You can install separate block types from this bunch of EBT modules:
* [EBT Accordion / FAQ](https://www.drupal.org/project/ebt_accordion)
* [EBT Slideshow](https://www.drupal.org/project/ebt_slideshow)
* [EBT Tabs](https://www.drupal.org/project/ebt_tabs)

#### Installation
This is a usual Drupal module, use drupal.org instructions [to install this module](https://www.drupal.org/docs/extending-drupal/installing-modules#s-add-a-module-with-composer).

1. Install the module as normal, see link for instructions.
   Link: https://www.drupal.org/documentation/install/modules-themes/modules-8

2. Download and unpack the FlexSlider plugin in "libraries" inside root folder.
   Make sure the path to the plugin file becomes:
   "libraries/flexslider/jquery.flexslider-min.js"
   Link: https://github.com/woocommerce/FlexSlider/archive/master.zip
   rush users can use the command "drush flexslider-plugin".

3. Change the permission of flexslider plugin inside 'libraries' folder.
   Right click on 'libraries' folder -> properties -> "permissions"
   and change to full permission.

4. Go to "Administer" -> "Extend" and enable the Colorbox module.

You also can install woocommerce/flexslider with composer. Add woocommerce/flexslider git repository in your main
composer.json:
```
"repositories": [
    {
        "type": "package",
        "package": {
            "name": "woocommerce/flexslider",
            "version": "2.7.2",
            "type": "drupal-library",
            "dist": {
                "url": "https://github.com/woocommerce/FlexSlider/archive/2.7.2.zip",
                "type": "zip"
            }
        }
    }
],
```
And run next commands:
$ composer require woocommerce/flexslider
$ composer require drupal/ebt_slideshow

#### Why Tab Title is formatted text field?
Requirements for slideshow can be different, EBT: Slideshow module tends to be flexible. Formatted text fields allows to output
additional Font Awesome icons with <i> tag,
emphasize some words with bold font or italic, display different titles for mobile and desktop version using
css classes, such are .visible-sm, .hidden-md for Bootstrap.
